Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoScalarFitnessStat< EOT, FitT > Class Template Reference

The fitnesses of a whole population, as a std::vector. More...

`#include <eoScalarFitnessStat.h>`

Inheritance diagram for eoScalarFitnessStat< EOT, FitT >:

List of all members.

## Public Member Functions
| eoScalarFitnessStat (std::string _description="FitnessES", eoRealVectorBounds &_bounds=eoDummyVectorNoBounds)
virtual void | operator() (const std::vector< const EOT * > &_popPters)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoRealBounds & | range

## Detailed Description

### template<class EOT, class FitT = typename EOT::Fitness>
class eoScalarFitnessStat< EOT, FitT >

The fitnesses of a whole population, as a std::vector.

Definition at line 37 of file eoScalarFitnessStat.h.

The documentation for this class was generated from the following file:

- eoScalarFitnessStat.h